//*******************************************************
//
// InstantOrder.CheckStatus() Method
//
// The CheckStatus method enables a remote client to programmatically
// query the current status of an order in the IBuySpy System.
//
//*******************************************************

    [WebMethod(Description="The CheckStatus method enables a remote client 
                     to programmatically query the current status 
                     of an order in the IBuySpy System.", EnableSession=false)]
   public OrderDetails CheckStatus(string userName, 
                                    string password, int orderID) {

        // Login client using provided username and password
        IBuySpy.CustomersDB accountSystem = new IBuySpy.CustomersDB();
        String customerId = accountSystem.Login(userName, password);

        if (customerId == null) {
            throw new Exception("Error: Invalid Login!");
        }

        // Return OrderDetails Status for Specified Order
        IBuySpy.OrdersDB orderSystem = new IBuySpy.OrdersDB();
        return orderSystem.GetOrderDetails(orderID);
    }
}
