//*******************************************************
//
// InstantOrder.OrderItem() Method
//
// The OrderItem method enables a remote client to programmatically
// place an order using a webservice.
//
//*******************************************************

[WebMethod(Description="The OrderItem method enables a remote 
                 client to programmatically place an order 
                 using a WebService.", EnableSession=false)]
public OrderDetails OrderItem(string userName, string password, 
                              int productID, int quantity) {

    // Login client using provided username and password
    IBuySpy.CustomersDB accountSystem = new IBuySpy.CustomersDB();
    String customerId = accountSystem.Login(userName, password);

    if (customerId == null) {
        throw new Exception("Error: Invalid Login!");
    }

    // Add Item to Shopping Cart
    IBuySpy.ShoppingCartDB myShoppingCart = new IBuySpy.ShoppingCartDB();
    myShoppingCart.AddItem(customerId, productID, quantity);

    // Place Order
    IBuySpy.OrdersDB orderSystem = new IBuySpy.OrdersDB();
    int orderID = orderSystem.PlaceOrder(customerId, customerId);

    // Return OrderDetails
    return orderSystem.GetOrderDetails(orderID);
}
